Subject: Re: [PATCH] filter-branch: add git_commit_non_empty_tree and --prune-empty.

From: Pierre Habouzit <[email-masked]>
Date: Sun, 11 Jan 2009 12:18:00 +0100

On Fri, Jan 09, 2009 at 07:29:15PM +0000, Jay Soffian wrote:
> On Mon, Nov 3, 2008 at 10:18 AM, Pierre Habouzit <[email-masked]> wrote:
> > On Mon, Nov 03, 2008 at 09:27:29AM +0000, Pierre Habouzit wrote:
> >> On Mon, Nov 03, 2008 at 04:58:44AM +0000, Junio C Hamano wrote:
> 
> Bump, http://thread.gmane.org/gmane.comp.version-control.git/99440/
> 
> (I'd like to see this included. Having a bunch of empty commits after
> using filter-branch to remove unwanted files from history is, er,
> sub-optimal, so seems like it might even be default behavior?)

Yeah I have that in my own git tree, and I meant to ask if something had
to be fixed for it to be accepted for some time, but always forget about
it.

Junio, do you think this could be accepted, or does it need some work ?

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org